# https://github.com/NixOS/nixpkgs/pull/156974
# https://github.com/NixOS/nixpkgs/pull/156974#issuecomment-1024605671
final: prev:
let
  patchedPkgs = import (builtins.fetchTarball {
    url = "https://github.com/nixos/nixpkgs/archive/ffdadd3ef9167657657d60daf3fe0f1b3176402d.tar.gz";
    sha256 = "1nrz4vzjsf3n8wlnxskgcgcvpwaymrlff690f5njm4nl0rv22hkh";
  }) {
    inherit (prev) system config;
    # inherit (prev) overlays;  # not sure
  };
  patchedPam = patchedPkgs.pam;
in {
  xsecurelock = prev.xsecurelock.override { pam = patchedPam; };
  # apply the same patch to other packages
}
